#page_vitrine {
  margin: 190px auto;
}

.titre1_vitrine {
  color: #c1191a;
  text-align: center;
  font-size: 3.4em;
}

.vitrine_h3 {
  font-family: "Kodchasan", sans-serif;
  font-size: 1.6em;
  text-align: center;
}

.intro {
  font-family: "Kodchasan", sans-serif;
  text-align: center;
  width: 1080px;
  font-size: 1.35em;
  margin: 105px auto 190px auto;
  line-height: 1.6;
  color: white;
}

#design {
  width: 280px;
  margin: auto;
  display: flex;
  align-items: center;
}

#clik {
  width: 300px;
  margin: auto;
  display: flex;
  align-items: center;
  padding-top: 30px;
}

#responsiv {
  width: 300px;
  margin: auto;
  padding-bottom: 30px;
  padding-top: 30px;
  display: flex;
  align-items: center;
}

#rapid {
  width: 200px;
  margin: auto;
  display: flex;
  align-items: center;
}

#vitrine_section {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  justify-content: center;
  margin: 80px auto;
  gap: 30px;
}

.carte {
  height: 560px;
  max-width: 350px;
  background-color: #cbcbcb;
  box-shadow: 5px 5px 5px
    rgba(110, 110, 110, 0.301);
  border-radius: 25px;
  padding-top: 7px;
}

.carte:hover {
  background-color: #c1191a;
  color: white;
}

#vitrine_section p {
  text-align: center;
  font-family: "montserrat", sans-serif;
  padding: 20px;
  line-height: 1.5;
}

#link_seo {
  color: black;
}

.devis h3 {
  font-family: "Kodchasan", sans-serif;
  color: #c1191a;
  font-size: 1.5em;
  text-align: center;
  padding-top: 20px;
}

/* button class contacter indentite visuelle link */
#link_identity {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: -20px;
}

#link_identity a {
  width: 90px;
  height: 32px;
}

.devis_titre {
  font-family: "Kodchasan", sans-serif;
  font-size: 2.6em;
  color: #c1191a;
  text-align: center;
  margin: 80px auto 140px auto;
}

#presta_vitrine {
  margin-top: 290px;
}

.devis {
  display: grid;
  grid-template-columns: repeat(
    auto-fill,
    minmax(310px, 1fr)
  );
  gap: 40px;
  margin: 80px auto;
  max-width: 1100px;
  align-content: center;
  justify-items: center;
  align-items: normal;
}

.devis div {
  max-width: 300px;
  height: 270px;
  box-shadow: 5px 5px 5px
    rgba(110, 110, 110, 0.301);
  border-radius: 25px;
  background-color: #cbcbcb;
}

.devis p {
  /*color: white;*/
  text-align: center;
  padding: 10px 20px;
  font-family: "montserrat", sans-serif;
}

/* breakpoint */
/* large devices (desktop, 1500px and up) */
@media all and (max-width: 1580px) {
  #vitrine_section {
    width: 1200px;
  }

  #rapid {
    margin: auto;
  }
  .carte {
    margin: 0px auto;
  }

  .devis {
    margin: 80px auto;
    gap: 20px;
  }
}

@media all and (max-width: 1366px) {
  .intro {
    font-size: 1.3em;
  }

  .titre1_vitrine {
    font-size: 3.3em;
  }
}

/* large devices (desktop, 1280px and up) */
@media all and (max-width: 1280px) {
    .intro {
    font-size: 1.2em;
    width: 780px;
  }

  .titre1_vitrine {
    font-size: 3em;
  }
  
  #rapid {
    margin: auto;
  }

  .carte {
    margin: 0px auto;
  }

  #vitrine_section {
    max-width: 900px;
  }
}

/* large devices (desktop, 980px and up) */
@media all and (max-width: 992px) {
  .titre1_vitrine {
    font-size: 2.4em;
  }

  #vitrine_section {
    width: 750px;
  }

  .devis {
    width: 700px;
  }

  .devis h3 {
    font-size: 1.3em;
  }

  #rapid {
    margin: auto;
  }

  .intro {
    width: 700px;
    font-size: 1.1em;
  }

  .carte {
    margin: 0px auto;
  }

  .devis div {
    width: 300px;
    margin: 0px auto;
  }
}

@media all and (max-width: 880px) {
  .intro {
    width: 600px;
  }
}

/* large devices (desktop, 760px and up) */
@media all and (max-width: 760px) {
  .titre1_vitrine {
    font-size: 2.3em;
  }

  .intro {
    width: 450px;
    font-size: 1em;
  }

  .carte {
    width: 350px;
    margin: 40px auto;
  }

  #vitrine_section {
    display: block;
    width: 400px;
  }
  
  #link_identity a {
    width: 50px;
    height: 25px;
  }

  #p_design a {
    margin: 20px auto;
  }

  .devis {
    width: auto;
  }

  .devis_titre {
    font-size: 2.3em;
  }

  #presta_vitrine {
    margin-top: 340px;
  }
}

@media all and (max-width: 576px) {
  .intro {
    width: 320px;
    margin: 120px auto 150px auto;
  }
  
  #page_vitrine {
    margin: 100px auto;
  }

  .titre1_vitrine {
    font-size: 2.1em;
  }

  #page_vitrine h3 {
    font-size: 1.6em;
  }
  
  #presta_vitrine {
    margin-top: 280px;
  }

  #vitrine_section {
    width: 350px;
    margin: 40px auto;
  }

  .devis_titre {
    font-size: 1.9em;
  }

  .devis {
    display: flex;
    flex-direction: column;
    width: auto;
    align-items: center;
  }
}

@media all and (max-width: 390px) {
  .carte {
    width: 320px;
  }
  
  #link_identity {
    margin-top: -30px;
  }
  #link_identity a {
    width: 30px;
    height: 20px;
  }

  .intro {
    margin: 59px auto 150px auto;
  }
}

@media all and (max-width: 350px) {
  .titre1_vitrine {
    font-size: 2em;
  }

  .intro {
    width: 320px;
  }

  #vitrine_section {
    width: 320px;
  }
}
